Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1340857 - CVE-2016-5116 gd: Information leak due to stack overflow in gdCtxPrintf [fedora-all]
Summary: CVE-2016-5116 gd: Information leak due to stack overflow in gdCtxPrintf [fedo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gd
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Skalický
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-5116
TreeView+ depends on / blocked
 
Reported: 2016-05-30 12:35 UTC by Andrej Nemec
Modified: 2016-06-17 15:50 UTC (History)
5 users (show)

Fixed In Version: gd-2.1.1-6.fc23 gd-2.1.1-4.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-02 14:55:32 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Andrej Nemec 2016-05-30 12:35:37 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Andrej Nemec 2016-05-30 12:35:45 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1340856,1340857

# Description of your update
notes=Security fix for CVE-2016-5116

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2016-05-31 10:36:00 UTC
gd-2.1.1-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-363d307082

Comment 3 Fedora Update System 2016-05-31 10:36:12 UTC
gd-2.1.1-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-de6e26b8aa

Comment 4 Marek Skalický 2016-05-31 10:40:14 UTC
This bug has also been fixed in gd-2.2.1-1.fc24 and gd-2.2.1-1.fc25 for Rawhide and F24 (latest gd version contains these fixes).

https://bodhi.fedoraproject.org/updates/FEDORA-2016-a82ad4c373

Comment 5 Fedora Update System 2016-06-01 15:23:03 UTC
gd-2.1.1-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-363d307082

Comment 6 Fedora Update System 2016-06-01 16:23:58 UTC
gd-2.1.1-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-de6e26b8aa

Comment 7 Fedora Update System 2016-06-02 14:55:18 UTC
gd-2.1.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-06-17 15:50:39 UTC
gd-2.1.1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.